/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Data transfer object (DTO) representing a PID request.
 * @export
 * @interface PidRequestDto
 */
export interface PidRequestDto {
    /**
     * Gets or initializes the name associated with the PID request.
     * @type {string}
     * @memberof PidRequestDto
     */
    'name': string;
    /**
     * Gets or initializes the email associated with the PID request.
     * @type {string}
     * @memberof PidRequestDto
     */
    'email': string;
    /**
     * Gets or initializes the message for the PID request.
     * @type {string}
     * @memberof PidRequestDto
     */
    'message': string;
    /**
     * Gets or initializes whether to send a confirmation email for the PID request.
     * @type {boolean}
     * @memberof PidRequestDto
     */
    'sendConfirmationEmail'?: boolean;
}

